org.apache.ignite.internal.cache.query.index.sorted

## Class IndexRowCacheRegistry

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexRowCacheRegistry

    public class IndexRowCacheRegistry
    extends Object

Index row cache registry.

### Constructor Summary

Constructors
Constructor and Description
`IndexRowCacheRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable IndexRowCache` `forGroup(int grpId)` Get row cache for the given cache group.
`void` `onCacheRegistered(GridCacheContextInfo cacheInfo)` Callback invoked on cache registration within indexing.
`void` `onCacheUnregistered(GridCacheContextInfo cacheInfo)` Callback invoked when cache gets unregistered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexRowCacheRegistry

    public IndexRowCacheRegistry()

### Method Detail

#### forGroup

    @Nullable
    public @Nullable IndexRowCache forGroup(int grpId)

Get row cache for the given cache group.

Parameters:
  `grpId` - Cache group ID.
Returns:
  Row cache or `null` if none available.

#### onCacheRegistered

    public void onCacheRegistered(GridCacheContextInfo cacheInfo)

Callback invoked on cache registration within indexing.

Parameters:
  `cacheInfo` - Cache info context.

#### onCacheUnregistered

    public void onCacheUnregistered(GridCacheContextInfo cacheInfo)

Callback invoked when cache gets unregistered.

Parameters:
  `cacheInfo` - Cache context info.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022